add_rules("mode.debug", "mode.release")
set_version("1.0.1", {soname = true})
set_arch("x64")
set_languages("cxx20")
set_project("zengine")
set_toolchains("clang")
set_runtimes("MD","c++_shared")
add_cxflags("-stdlib=libc++")
add_ldflags("-stdlib=libc++")
--xmake project -k vsxmake2022 -a x64
--xmake project -k vsxmake2022 -m "debug;release"
--xmake build -vD -y  -P .  "zworld-editor"
--xrepo env -b emmylua_debugger -- xmake project -k vsxmake2022 -m "debug;release"

target("yaml-cpp")
    set_kind("static")
    add_includedirs(".")
    add_files("src/*.cpp")
    add_headerfiles("src/*.h")
	add_defines("YAML_CPP_STATIC_DEFINE")  -- 定义宏以避免 DLL 警告